﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Syncfusion.Pdf.Barcode;
using System.Drawing;
using System.IO;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            Syncfusion.Compression.Zip.ZipArchive zip = new Syncfusion.Compression.Zip.ZipArchive();
            for(int i=0;i<10;i++)
            {
                //Create a new PDF QR barcode
                PdfQRBarcode barcode = new PdfQRBarcode();

                //Set the barcode text
                barcode.Text = "the text to encode";

                //Export the barcode as image
                Image img = barcode.ToImage();

                
                MemoryStream ms = new MemoryStream();
                //Save the image to stream
                img.Save(ms, System.Drawing.Imaging.ImageFormat.Png);   
             
                //Archive the images to zip
                zip.AddItem("img"+i.ToString ()+".png", ms, false, FileAttributes.Normal);
            }            
            MemoryStream outputStream = new MemoryStream();

            //Save the zip file.
            zip.Save(outputStream,false);
            
        }
    }
}
